# Poco::XML

# class SAXNotRecognizedException

Library: XML
Package: SAX
Header: Poco/SAX/SAXException.h

## Description

The base class for all SAX-related exceptions like SAXParseException, SAXNotRecognizedException or SAXNotSupportedException.

This class can contain basic error or warning information from either the XML parser or the application: a parser writer or application writer can subclass it to provide additional functionality. SAX handlers may throw this exception or any exception subclassed from it.

If the application needs to pass through other types of exceptions, it must wrap those exceptions in a SAXException or an exception derived from a SAXException.

If the parser or application needs to include information about a specific location in an XML document, it should use the SAXParseException subclass.

## Inheritance

Direct Base Classes: SAXException

All Base Classes: Poco::Exception, Poco::RuntimeException, SAXException, XMLException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### SAXNotRecognizedException

SAXNotRecognizedException(
int code = 0
);

### SAXNotRecognizedException

SAXNotRecognizedException(
const SAXNotRecognizedException & exc
);

### SAXNotRecognizedException

SAXNotRecognizedException(
const std::string & msg,
int code = 0
);

### SAXNotRecognizedException

SAXNotRecognizedException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### SAXNotRecognizedException

SAXNotRecognizedException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~SAXNotRecognizedException

~SAXNotRecognizedException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::XML::SAXException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::XML::SAXException::name()

### operator =

SAXNotRecognizedException & operator = (
const SAXNotRecognizedException & exc
);

### rethrow

void rethrow() const;

See also: Poco::XML::SAXException::rethrow()